Mail archive
alpine-devel

Re: [alpine-devel] Bug in rpc.mountd

From: Natanael Copa <ncopa_at_alpinelinux.org>
Date: Mon, 21 May 2012 13:58:12 +0200

On Mon, 21 May 2012 09:19:04 +0200
alex M <lonkaji_at_gmail.com> wrote:

> Hi,
>
> I upgade from 2.4.1 to 2.4.2 and now I got a real problem with the
> nfs daemon:
>
> [  482.292020] rpc.mountd[2043]: segfault at 7873d1d796c8 ip
> 0000786bd1b52c96 sp 00007ae3fb88a470 error 4 in
> libuClibc-0.9.33.2.so[786bd1b07000+6b000]

what does 'apk version libc0.9.32' show?

It looks like you have uclibc version 0.9.33.2 installed, which to my
understanding only should be available from 'edge' repositories.

Please check that you only have v2.4 and no 'edge'
in /etc/apk/repositories.

> [  482.292057] grsec: Segmentation fault occurred at 00007873d1d796c8
> in /usr/sbin/rpc.mountd[rpc.mountd:2043] uid/euid:0/0 gid/egid:0/0,
> parent /bin/busybox[init:1] uid/euid:0/0 gid/egid:0/0
> [  482.292087] grsec: denied resource overstep by requesting 4096 for
> RLIMIT_CORE against limit 0 for /usr/sbin/rpc.mountd[rpc.mountd:2043]
> uid/euid:0/0 gid/egid:0/0, parent /bin/busybox[init:1] uid/euid:0/0
> gid/egid:0/0
>
> That's a real problem since the main purpose of the computer running
> alpinelinux is to be a NFS server.
>
> I just want to report this bug and pray it can be fix quickly,
> otherwise I had to reinstall my box with something that don't broke
> NFS server.

Did it work with alpine 2.4.1?

What kernel version is it? uname -a

-nc

Thanks!


---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Mon May 21 2012 - 13:58:12 GMT